define({"335":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_assign2.htm",l:-1,t:"assign",i:0.00106382525499185,a:"The assign method adds a table of attributes (name/value pairs) to the object. Syntax assign (attributes) Arguments Example local myJsonObject = LuaJsonObject:new()\nmyJsonObject:assign( {\n        attr1=LuaJsonObject:new( { n=42 } ),\n        attr2=LuaJsonArray:new( 1, 2, \"three\" ),\n        ..."},"336":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_clear.htm",l:-1,t:"clear",i:0.00106382525499185,a:"clear The clear method clears the object, so that it contains no attributes (name/value pairs). Syntax clear() Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nmyJsonObject:clear()\nprint (myJsonObject:string())\n-- {}"},"337":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_copy.htm",l:-1,t:"copy",i:0.00106382525499185,a:"The copy method returns a copy of the JSON object. Modifying the copy does not modify the original object. Syntax copy() Returns (LuaJsonObject). A copy of the object. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nlocal anotherJsonObject = ..."},"338":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_empty.htm",l:-1,t:"empty",i:0.00106382525499185,a:"empty The empty method determines whether the JSON object is empty. Syntax empty() Returns (Boolean). Returns true if the object has no attributes (name/value pairs). Example local myJsonObject = LuaJsonObject:new()\nprint(myJsonObject:empty())\n-- true\n"},"339":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_erase.htm",l:-1,t:"erase",i:0.00106382525499185,a:"erase The erase method removes a specified attribute (name/value pair) from the JSON object. Syntax erase( name ) Arguments Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nmyJsonObject:erase(\"version\")\nprint (myJsonObject:string())\n-- {\"product\":\"IDOL\"}"},"340":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_exists.htm",l:-1,t:"exists",i:0.00709177107320904,a:"The exists method checks whether a specified path exists in the JSON object. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"341":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00709177107320904,a:"The existsByPath method checks whether a specified path exists in the JSON object. Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"342":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00709177107320904,a:"The lookup method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"343":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00709177107320904,a:"The lookupByPath method returns the value at the specified path in the JSON object. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"344":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_pairs.htm",l:-1,t:"pairs",i:0.00106382525499185,a:"The pairs method returns an iterator function that you can use with a for loop to iterate over all of the attributes contained in the JSON object. Syntax pairs() Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\n\nfor i, v in myJsonObject:pairs() do\n  print (i .. \u0027=\u0027 ..."},"345":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_size.htm",l:-1,t:"size",i:0.00106382525499185,a:"size The size method returns the number of attributes (name/value pairs) in the JSON object. Syntax size() Returns (Number). The number of attributes in the JSON object. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:size())\n-- 2"},"346":{y:0,u:"../Content/Lua/LuaJsonObject/_LUA_string.htm",l:-1,t:"string",i:0.00106382525499185,a:"string The string method returns the JSON object as a string. Syntax string() Returns (String). The JSON object as a string. Example local myJsonObject = LuaJsonObject:new( { product=\"IDOL\" , version=11 } )\nprint (myJsonObject:string())\n-- {\"product\":\"IDOL\",\"version\":11}"},"347":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA__LuaJsonValue.htm",l:-1,t:"LuaJsonValue Methods",i:0.00372432956384996,a:"A LuaJsonValue object represents a JSON value.  If you have a LuaJsonValue object called myJsonValue you can call its methods using the \u0027:\u0027 operator. For example: myJsonValue:is_object() Method Description array Gets a LuaJsonArray that represents the JSON array, if the value is an array. copy ..."},"348":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_LuaJsonValue_new.htm",l:-1,t:"LuaJsonValue:new",i:0.000960385529161695,a:"LuaJsonValue:new The constructor for a LuaJsonValue object (creates a new LuaJsonValue). Syntax LuaJsonValue:new( value ) Arguments Returns (LuaJsonValue). The new LuaJsonValue object."},"349":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_array.htm",l:-1,t:"array",i:0.000960385529161695,a:"The array method gets the array, if the value is a JSON array. Syntax array() Returns (LuaJsonArray). A  LuaJsonArray  object that represents the array. Example local fh = io.open(\"example_array.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = ..."},"350":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_copy.htm",l:-1,t:"copy",i:0.000960385529161695,a:"copy The copy method returns a copy of the value. Modifying the copy does not affect the original value. Syntax copy() Returns (LuaJsonValue). A copy of the value."},"351":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_exists.htm",l:-1,t:"exists",i:0.00640222553379048,a:"The exists method checks whether a specified path exists in the JSON value. Syntax exists( pathElements ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example \nConsider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"352":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_existsByPath.htm",l:-1,t:"existsByPath",i:0.00640222553379048,a:"The existsByPath method checks whether a specified path exists in the JSON value.  Syntax existsByPath( path ) Arguments Returns (Boolean) Returns true if the path exists, false otherwise. Example Consider the following JSON: \n{\n  \"product\": \"IDOL\",\n  \"component\": \"CFS\",\n  \"version\": { \"major\": 11, ..."},"353":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_array.htm",l:-1,t:"is_array",i:0.000960385529161695,a:"is_array The is_array method whether the value is a JSON array. Syntax is_array() Returns (Boolean). Returns true if the value is an array value, false otherwise."},"354":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_boolean.htm",l:-1,t:"is_boolean",i:0.000960385529161695,a:"is_boolean The is_boolean method returns whether the value is a Boolean value. Syntax is_boolean() Returns (Boolean). Returns true if the value is a Boolean value, false otherwise."},"355":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_float.htm",l:-1,t:"is_float",i:0.000960385529161695,a:"is_float The is_float method returns whether the value is a floating point value. Syntax is_float() Returns (Boolean). Returns true if the value is a floating point value, false otherwise."},"356":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_integer.htm",l:-1,t:"is_integer",i:0.000960385529161695,a:"is_integer The is_integer method returns whether the value is an integral value. Syntax is_integer() Returns (Boolean). Returns true if the value is an integer value, false otherwise."},"357":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_null.htm",l:-1,t:"is_null",i:0.000960385529161695,a:"is_null The is_null method returns whether the value is a null value. Syntax is_null() Returns (Boolean). Returns true if the value is a null value, false otherwise."},"358":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_number.htm",l:-1,t:"is_number",i:0.000960385529161695,a:"is_number The is_number method returns whether the value is a number. Syntax is_number() Returns (Boolean). Returns true if the value is a number, false otherwise."},"359":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_object.htm",l:-1,t:"is_object",i:0.000960385529161695,a:"is_object The is_object method returns whether the value is a JSON object. Syntax is_object() Returns (Boolean). Returns true if the value is a JSON object, false otherwise."},"360":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_simple_value.htm",l:-1,t:"is_simple_value",i:0.000960385529161695,a:"is_simple_value The is_simple_value method returns whether the value is a simple value (Boolean, float, integer, or string). Syntax is_simple_value() Returns (Boolean). Returns true if the value is a simple value, false otherwise."},"361":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_is_string.htm",l:-1,t:"is_string",i:0.000960385529161695,a:"is_string The is_string method returns whether the value is a string value. Syntax is_string() Returns (Boolean). Returns true if the value is a string value, false otherwise."},"362":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookup.htm",l:-1,t:"lookup",i:0.00640222553379048,a:"The lookup method returns the value at the specified path in the JSON value. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookup( pathElements ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified path, ..."},"363":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_lookupByPath.htm",l:-1,t:"lookupByPath",i:0.00640222553379048,a:"The lookupByPath method returns the value at the specified path in the JSON array. This method does not make a copy of the value, so modifying the returned value affects the original object. Syntax lookupByPath( path ) Arguments Returns (LuaJsonValue) Returns the value that exists at the specified ..."},"364":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_object.htm",l:-1,t:"object",i:0.000960385529161695,a:"The object method gets the object, if the value is a JSON object. Syntax object() Returns (LuaJsonObject) A  LuaJsonObject  object that represents the JSON object. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n\nlocal myJsonValue = ..."},"365":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_string.htm",l:-1,t:"string",i:0.000960385529161695,a:"The string method returns the JSON value as a string. Syntax string() Returns (String). The JSON value as a string. Example local fh = io.open(\"example_json.json\", \"r\")\nlocal file_content = fh:read(\"*all\")\nfh:close()\n    \nlocal myJsonValue = parse_json(file_content)\n\nprint(myJsonValue:string())\n"},"366":{y:0,u:"../Content/Lua/LuaJsonValue/_LUA_value.htm",l:-1,t:"value",i:0.000960385529161695,a:"The value method gets the value, if the JSON value is a simple type (a Boolean, float, integer, or string). This method returns a default value if one is specified and the value cannot be converted to the same type as the default. Syntax value( [default] ) Arguments Returns (lua_json_simple_type). A ..."},"367":{y:0,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",l:-1,t:"LuaLog Methods",i:0.00583274907493869,a:"LuaLog Methods A LuaLog object provides the capability to use a log stream. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: log:write_line(level, message)"},"368":{y:0,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",l:-1,t:"write_line",i:0.0032727019109549,a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Example local config = get_config(\"connector.cfg\")\nlocal log = get_log(config, \"SynchronizeLogStream\")\nlog:write_line( log_level_error() , \"This message is written to the synchronize log\")"},"369":{y:0,u:"../Content/Lua/LuaLogService/_LUA__LuaLogService.htm",l:-1,t:"LuaLogService Methods",i:0.0010532304117864,a:"A LuaLogService object provides the capability to write messages to a standard or custom log file. If you have a LuaLogService object called myLogService you can call its methods using the \u0027:\u0027 operator. For example: myLogService:get_log(\"application\") Method Description get_log Returns a LuaLog ..."},"370":{y:0,u:"../Content/Lua/LuaLogService/_LUA_LuaLogService_new.htm",l:-1,t:"LuaLogService:new",i:0.00124139442209722,a:"The constructor for a LuaLogService object (creates a new LuaLogService). Do not create a new log service to write messages to log types that are defined in the Query Manipulation Server configuration file. Instead use the same log service as Query Manipulation Server, by calling  get_log_service , ..."},"371":{y:0,u:"../Content/Lua/LuaLogService/_LUA_get_log.htm",l:-1,t:"get_log",i:0.00124139442209722,a:"get_log The get_log method returns a LuaLog object that you can use to write log messages to a specified log type. Syntax get_log( type ) Arguments Returns (LuaLog). A  LuaLog  object. Example local log = myLuaLogService:get_log(\"import\")\n-- import is a standard log type for CFS"},"372":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",l:-1,t:"LuaRegexMatch Methods",i:0.000793770164404355,a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ..."},"373":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",l:-1,t:"length",i:0.000928711458144369,a:"length The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Returns (Number). The length of the sub match."},"374":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",l:-1,t:"next",i:0.000928711458144369,a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one."},"375":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",l:-1,t:"position",i:0.000928711458144369,a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Returns (Number). The position of the ..."},"376":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",l:-1,t:"size",i:0.000928711458144369,a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match."},"377":{y:0,u:"../Content/Lua/LuaRegexMatch/_LUA_str.htm",l:-1,t:"str",i:0.000928711458144369,a:"str The str method returns the value of the substring that matched the regular expression. You can also retrieve the values of sub matches by specifying the submatch parameter. Syntax str( [ submatch ] ) Arguments Returns (String). The value of the sub match."},"378":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",l:-1,t:"LuaXmlDocument Methods",i:0.000793770164404355,a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ..."},"379":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",l:-1,t:"root",i:0.000928711458144369,a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object."},"380":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",l:-1,t:"XPathExecute",i:0.000928711458144369,a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Returns (LuaXmlNodeSet). A LuaXmlNodeSet object."},"381":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",l:-1,t:"XPathRegisterNs",i:0.000928711458144369,a:"XPathRegisterNs The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Returns (Boolean). True if successful, False in case of error."},"382":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",l:-1,t:"XPathValue",i:0.000928711458144369,a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Returns (String). A string of the value."},"383":{y:0,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",l:-1,t:"XPathValues",i:0.000928711458144369,a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: values = { xml:XPathValues(query) }"},"384":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",l:-1,t:"LuaXmlNodeSet Methods",i:0.000793770164404355,a:"LuaXmlNodeSet Methods A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size()"},"385":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",l:-1,t:"at",i:0.00113112339875439,a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Returns (LuaXmlNode)."},"386":{y:0,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",l:-1,t:"size",i:0.00113112339875439,a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set."},"387":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",l:-1,t:"LuaXmlNode Methods",i:0.000793770164404355,a:"LuaXmlNode Methods A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name()"},"388":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",l:-1,t:"attr",i:0.000861240811274362,a:"attr The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Returns (LuaXmlAttribute). "},"389":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",l:-1,t:"content",i:0.000861240811274362,a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content."},"390":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",l:-1,t:"firstChild",i:0.000861240811274362,a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode)."},"391":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",l:-1,t:"lastChild",i:0.000861240811274362,a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode)."},"392":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",l:-1,t:"name",i:0.000861240811274362,a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name."},"393":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",l:-1,t:"next",i:0.000861240811274362,a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode)."},"394":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",l:-1,t:"nodePath",i:0.000861240811274362,a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path."},"395":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",l:-1,t:"parent",i:0.000861240811274362,a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode)."},"396":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",l:-1,t:"prev",i:0.000861240811274362,a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode)."},"397":{y:0,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",l:-1,t:"type",i:0.000861240811274362,a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ..."},"398":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",l:-1,t:"LuaXmlAttribute Methods",i:0.000793770164404355,a:"LuaXmlAttribute Methods A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name()"},"399":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",l:-1,t:"name",i:0.000962446781579373,a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute."},"400":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",l:-1,t:"next",i:0.000962446781579373,a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute)."},"401":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",l:-1,t:"prev",i:0.000962446781579373,a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute)."},"402":{y:0,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",l:-1,t:"value",i:0.000962446781579373,a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute."},"403":{y:0,u:"../Content/Appendixes.htm",l:-1,t:"Appendixes",i:0.000793770164404355,a:"Appendixes This section contains the following appendixes: Open Source and Third-Party Software License Agreements Open Source and Third-Party Software License Agreements (Online Help)"},"404":{y:0,u:"../Content/ThirdPartyLicenses/_LIC_App_OpenSource.htm",l:-1,t:"Open Source and Third-Party Software License Agreements",i:0.00113112339875439,a:"Open Source and Third-Party Software License Agreements Micro Focus acknowledges the redistribution of the following open source and third-party components under the licenses shown below."},"405":{y:0,u:"../Content/ThirdPartyLicenses/_LIC_Lua.htm",l:-1,t:"Lua",i:0.000793770164404355,a:"Copyright © 1994–2017 Lua.org, PUC-Rio. Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, ..."},"406":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_OS3PLicenses.htm",l:-1,t:"Open Source and Third-Party Software License Agreements (Online Help)",i:0.00113112339875439,a:"Micro Focus acknowledges the redistribution  of open source and third-party components as part of the Help content that use the following licenses. Apache License 2.0 PIE.htc, PIE_uncompressed.htc, PIE-no-motw.htc For the text of the Apache License 2.0, see  Appendix: Apache License 2.0 (Full Text) ..."},"407":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_Apache_v2.0_fullText.htm",l:-1,t:"Appendix: Apache License 2.0 (Full Text)",i:0.00111425605991432,a:"Apache License Version 2.0, January 2004\n             http://www.apache.org/licenses/ TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION 1. Definitions. \"License\" shall mean the terms and conditions for use, reproduction, and\n\t\tdistribution as defined by Sections 1 through 9 of this ..."},"408":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_BSD_3-Clause_fullText.htm",l:-1,t:"Appendix: BSD 3-Clause License (Full Text)",i:0.00111425605991432,a:"Copyright (c) \u003cYEAR\u003e, \u003cOWNER\u003e All rights reserved. Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met: 1. Redistributions of source code must retain the above copyright notice, this list of conditions and the ..."},"409":{y:0,u:"../Content/ThirdPartyLicenses/OnlineHelp/_LIC_MITLicense_fullText.htm",l:-1,t:"Appendix: The MIT License (Full Text)",i:0.00111425605991432,a:"\nThe MIT License (MIT) \nCopyright (c) \u003cyear\u003e \u003ccopyright holders\u003e Permission is hereby granted, free of charge, to any person obtaining a copy\nof this software and associated documentation files (the \"Software\"), to deal\nin the Software without restriction, including without limitation the rights\nto ..."},"410":{y:0,u:"../Content/Service/ServiceActions/_ACI_Name.htm",l:-1,t:"Name",i:0.00179382193458083,a:"Name Type the name of the log stream you want to return. To retrieve a list of log stream names, use the  GetLogStreamNames  service action."},"411":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Text_TypeAheadManage.htm",l:-1,t:"Text",i:0.00263593452489989,a:"The updates to the dictionary file.  Specify a list of  word,score pairs that you want to add, remove, or modify in the dictionary (according to the value that you have set for  ManageMode ). The score value is optional. If you include a score, the minimum allowed score value is -230, and the ..."},"412":{y:0,u:"../Content/Actions/General/_ACI_IP.htm",l:-1,t:"IP",i:0.00181166043313072,a:"IP The IP address for which to check permissions. By default, the  ShowPermissions  action checks the permissions for the client that sends the request."},"413":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/MinScore.htm",l:-1,t:"MinScore",i:0.00406298665573086,a:"MinScore The minimum score that a term in the dictionary or index must have to return as a suggestion."},"414":{y:0,u:"../Content/Resources/MasterPages/_FT_aboutSearch.htm",l:-1,t:"_FT_aboutSearch",i:0.000793770164404355,a:"Searching the Help To search for information in the Help, enter a word or phrase in the Search box.  When you enter a group of words, the OR operator is inferred. You can use Boolean operators to refine your search.  Results returned are case insensitive. However, results ranking takes case into ..."},"415":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/Mode_TypeAheadManage.htm",l:-1,t:"Mode",i:0.00134555162253171,a:"Mode The  TypeAhead  method that you want to manage. You can use one of the following options:  Dictionary. Manage the configured dictionary file."},"416":{y:0,u:"../Content/Configuration/Paths/_ACI_TemplateDirectory.htm",l:-1,t:"TemplateDirectory",i:0.00529154565733393,a:"TemplateDirectory The path to the directory that contains your XSL templates. You can use XSL templates to transform action responses."},"417":{y:0,u:"../Content/HowToUseThisReference/_ACI_Preface_Help.htm",l:-1,t:"Welcome",i:0.000793770164404355,a:"Welcome The Micro Focus Query Manipulation Server Reference contains information about the actions and configuration parameters that you can use in Query Manipulation Server.  Contents The Contents tab lists the files that you can view. These are split into the following sections:"},"418":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/MaxResults.htm",l:-1,t:"MaxResults",i:0.00406298665573086,a:"MaxResults The maximum number of values to return as suggestions."},"419":{y:0,u:"../Content/Actions/TypeAhead/ActionParameters/ManageMode.htm",l:-1,t:"ManageMode",i:0.00333372383800144,a:"The operation to perform on the dictionary. You can use one of the following values: Add. Add words to the dictionary.  Edit. Modify existing terms in the index to change or remove the score.  Remove. Remove existing terms.   Persist. Save changes to the dictionary file to disk. You can specify the ..."},"420":{y:0,u:"../Content/Actions/SharedParameters/_ACI_FileName.htm",l:-1,t:"FileName",i:0.00425824253482393,a:"The location of the file to write the action output to, if you have set  Output  to  File. Type the full path to the file. The path that you specify must be listed in the  AllowedOutputDirectoryCSVs  configuration parameter. Query Manipulation Server cannot write the output file to directories that ..."},"421":{y:0,u:"../Content/Actions/SharedParameters/_ACI_Output.htm",l:-1,t:"Output",i:0.00778465079587172,a:"Type  File to write action output to a file. If you set Output to  File, you must use the  FileName  parameter to specify the name and the location of the file that you want to write the output to. The path that you specify in  FileName  must be listed in the  AllowedOutputDirectoryCSVs  ..."},});